Package org.optaplanner.core.impl.score.constraint

## Class DefaultIndictment<Score_ extends Score<Score_>>

- java.lang.Object
- - org.optaplanner.core.impl.score.constraint.DefaultIndictment<Score_>

- All Implemented Interfaces:
    `Indictment<Score_>`

      public final class DefaultIndictment<Score_ extends Score<Score_>>
      extends Object
      implements Indictment<Score_>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultIndictment​(Object justification, Score_ zeroScore)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConstraintMatch​(ConstraintMatch<Score_> constraintMatch)` |
    `boolean` | `equals​(Object o)` |
    `Set<ConstraintMatch<Score_>>` | `getConstraintMatchSet()` |
    `Object` | `getJustification()` |
    `Score_` | `getScore()` | Sum of the `Indictment.getConstraintMatchSet()`'s `ConstraintMatch.getScore()`.
    `int` | `hashCode()` |
    `void` | `removeConstraintMatch​(ConstraintMatch<Score_> constraintMatch)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.optaplanner.core.api.score.constraint.Indictment

      `getConstraintMatchCount`

- - ### Constructor Detail

    - #### DefaultIndictment

          public DefaultIndictment​(Object justification,
                                   Score_ zeroScore)

  - ### Method Detail

    - #### getJustification

          public Object getJustification()

      Specified by:
        `getJustification` in interface `Indictment<Score_ extends Score<Score_>>`
      Returns:
        never null

    - #### getConstraintMatchSet

          public Set<ConstraintMatch<Score_>> getConstraintMatchSet()

      Specified by:
        `getConstraintMatchSet` in interface `Indictment<Score_ extends Score<Score_>>`
      Returns:
        never null

    - #### getScore

          public Score_ getScore()

      Description copied from interface: `Indictment`
      Sum of the `Indictment.getConstraintMatchSet()`'s `ConstraintMatch.getScore()`.
      Specified by:
        `getScore` in interface `Indictment<Score_ extends Score<Score_>>`
      Returns:
        never null

    - #### addConstraintMatch

          public void addConstraintMatch​(ConstraintMatch<Score_> constraintMatch)

    - #### removeConstraintMatch

          public void removeConstraintMatch​(ConstraintMatch<Score_> constraintMatch)

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`